Bug 57985 - up2date crashes if older version of kernel-source is installed manually after kernel update
up2date crashes if older version of kernel-source is installed manually after...
Status: CLOSED DUPLICATE of bug 57747
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 08:15 EST by mike
Modified: 2015-01-07 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 18:26:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mike 2002-01-04 08:15:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
up2date crashes if older version of kernel-source is installed manually
after kernel update 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install rh 7.2
2. upgrade to kernel 2.4.9-13 via up2date
3. install kernel-source-2.4.7-10
4. run up2date


Actual Results:  up2date crashes when task `getting headers for skipped
packages` is active.

Additional info:

[root@space root]# rpm -q -a | grep kernel
kernel-2.4.7-10
kernel-2.4.9-13
kernel-headers-2.4.9-13
kernel-source-2.4.7-10

Debugging Information:

(no debugging symbols found)...[New Thread 1024 (LWP 2195)]
0x4011dca9 in __wait4 ()
   from /lib/i686/libc.so.6
#0  0x4011dca9 in __wait4 () from /lib/i686/libc.so.6
#1  0x401996b4 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x400366f3 in waitpid (pid=2200, stat_loc=0xbfffd9bc, options=0)
    at wrapsyscall.c:172
#3  0x407e4e88 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
#4  0x40034a85 in pthread_sighandler (signo=11, ctx=
      {gs = 7, __gsh = 0, fs = 0, __fsh = 0, es = 43, __esh = 0, ds = 43,
__dsh = 0, edi = 3221216640, esi = 1086075698, ebp = 3221216712, esp =
3221216612, ebx = 1075765928, edx = 3221216640, ecx = 16, eax = 3221216640,
trapno = 14, err = 4, eip = 1074708604, cs = 35, __csh = 0, eflags =
2163335, esp_at_signal = 3221216612, ss = 43, __ssh = 0, fpstate =
0xbfffdae8, oldmask = 2147483648, cr2 = 1086075698}) at signals.c:97
#5  <signal handler called>
#6  0x400ec07c in memcpy () from /lib/i686/libc.so.6
#7  0x00000010 in ?? ()
#8  0x4001f721 in hdrLoad () from /usr/lib/python1.5/site-packages/rpmmodule.so
#9  0x08055752 in PyEval_CallObjectWithKeywords ()
#10 0x0805562e in PyEval_CallObjectWithKeywords ()
#11 0x0805445c in PyEval_EvalCode ()
#12 0x08054329 in PyEval_EvalCode ()
#13 0x08054329 in PyEval_EvalCode ()
#14 0x08055afa in PyEval_CallObjectWithKeywords ()
#15 0x0805561e in PyEval_CallObjectWithKeywords ()
#16 0x08081084 in PyTuple_Fini ()
#17 0x08055752 in PyEval_CallObjectWithKeywords ()
#18 0x0805562e in PyEval_CallObjectWithKeywords ()
#19 0x0805445c in PyEval_EvalCode ()
#20 0x08054329 in PyEval_EvalCode ()
#21 0x08054329 in PyEval_EvalCode ()
#22 0x08054329 in PyEval_EvalCode ()
#23 0x08055afa in PyEval_CallObjectWithKeywords ()
#24 0x0805561e in PyEval_CallObjectWithKeywords ()
#25 0x08081084 in PyTuple_Fini ()
#26 0x08055752 in PyEval_CallObjectWithKeywords ()
#27 0x0805562e in PyEval_CallObjectWithKeywords ()
#28 0x0805445c in PyEval_EvalCode ()
#29 0x08055afa in PyEval_CallObjectWithKeywords ()
#30 0x0805561e in PyEval_CallObjectWithKeywords ()
#31 0x0806d4e4 in PyObject_CallObject ()
#32 0x40446e88 in PyGtk_CallbackMarshal ()
   from /usr/lib/python1.5/site-packages/_gtkmodule.so
#33 0x4054a3fb in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#34 0x4054976din gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#35 0x40547525 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#36 0x407cc018 in gnome_druid_page_next () from /usr/lib/libgnomeui.so.32
#37 0x407ca6b4 in gnome_druid_next_callback () from /usr/lib/libgnomeui.so.32
#38 0x40516de1 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#39 0x4054a436 in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#40 0x4054976d in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#41 0x40547525 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#42 0x404aee2d in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
#43 0x404b05ed in gtk_real_button_released () from /usr/lib/libgtk-1.2.so.0
#44 0x40516de1 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#45 0x405495f1 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#46 0x40547525 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#47 0x404aed5d in gtk_button_released () from /usr/lib/libgtk-1.2.so.0
#48 0x404afed7 in gtk_button_button_release () from /usr/lib/libgtk-1.2.so.0
#49 0x40516aec in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
#50 0x405497ad in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#51 0x40547525 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#52 0x40581b89 in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#53 0x40516a45 in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#54 0x40515a6f in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#55 0x405c6d7f in gdk_event_dispatch () from /usr/lib/libgdk-1.2.so.0
#56 0x405fc773 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#57 0x405fcd39 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#58 0x405fceec in g_main_run () from /usr/lib/libglib-1.2.so.0
#59 0x40515333 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#60 0x404482b4 in _wrap_gtk_main ()
   from /usr/lib/python1.5/site-packages/_gtkmodule.so
#61 0x08055752 in PyEval_CallObjectWithKeywords ()
#62 0x0805562e in PyEval_CallObjectWithKeywords ()
#63 0x0805445c in PyEval_EvalCode ()
#64 0x08054329 in PyEval_EvalCode ()
#65 0x08054329 in PyEval_EvalCode ()
#66 0x08054329 in PyEval_EvalCode ()
#67 0x08052155 in PyEval_EvalCode ()
#68 0x080655c7 in PyRun_File ()
#69 0x08064b40 in PyRun_SimpleFile ()
#70 0x0806473b in PyRun_AnyFile ()
#71 0x08050284 in Py_Main ()
#72 0x0804fc33 in main ()
#73 0x4007f627 in __libc_start_main (main=0x804fc14 <main>, argc=3,
    ubp_av=0xbffffe54, init=0x804f1b0 <_init>, fini=0x8096590 <_fini>,
    rtld_fini=0x4000dcc4 <_dl_fini>, stack_end=0xbffffe4c)
    at ../sysdeps/generic/libc-start.c:129
#0  0x4011dca9 in __wait4 () from /lib/i686/libc.so.6
No locals.
#1  0x401996b4 in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x400366f3 in waitpid (pid=2200, stat_loc=0xbfffd9bc, options=0)
    at wrapsyscall.c:172
    in wrapsyscall.c
stat_loc = (int *) 0xbfffd9bc
options = 0
result = 0
oldtype = 0
#3  0x407e4e88 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
No symbol table info available.
#4  0x40034a85 in pthread_sighandler (signo=11, ctx=
      {gs = 7, __gsh = 0, fs = 0, __fsh = 0, es = 43, __esh = 0, ds = 43,
__dsh = 0, edi = 3221216640, esi = 1086075698, ebp = 3221216712, esp =
3221216612, ebx = 1075765928, edx = 3221216640, ecx = 16, eax = 3221216640,
trapno = 14, err = 4, eip = 1074708604, cs = 35, __csh = 0, eflags =
2163335, esp_at_signal = 3221216612, ss = 43, __ssh = 0, fpstate =
0xbfffdae8, oldmask = 2147483648, cr2 = 1086075698}) at signals.c:97
    in signals.c
signo = 0
__value = 0xfffffe00 <Address 0xfffffe00 out of bounds>
#5  <signal handler called>
No locals.
#6  0x400ec07c in memcpy () from /lib/i686/libc.so.6
No locals.
#7  0x00000010 in ?? ()
No symbol table info available.
Comment 1 Adrian Likins 2002-01-07 18:26:38 EST
Erk, a segfault. Thats certainly interesting. Looks to be
something in gnomelibs segfault at first glance. 

I'll dig in deeper and see what shows up.
Comment 2 Adrian Likins 2002-01-07 18:28:20 EST

*** This bug has been marked as a duplicate of 57747 ***

Note You need to log in before you can comment on or make changes to this bug.